datacache <- new.env(hash=TRUE, parent=emptyenv())

hgu133ahsug <- function() showQCData("hgu133ahsug", datacache)
hgu133ahsug_dbconn <- function() dbconn(datacache)
hgu133ahsug_dbfile <- function() dbfile(datacache)
hgu133ahsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgu133ahsug_dbInfo <- function() dbInfo(datacache)

hgu133ahsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgu133ahsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hgu133ahsug", "chip hgu133ahsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgu133ahsug_dbconn())
}

